Page MenuHomePhabricator

Make Special:GlobalBlocking use HTMLForm/FormSpecialPage
Closed, ResolvedPublic

Description

In https://github.com/wikimedia/mediawiki-extensions-GlobalBlocking/blob/master/SpecialGlobalBlock.php,

  1. @todo FIXME: make this actually use HTMLForm, instead of just its JavaScript $out->addModules( 'mediawiki.htmlform' );

Version: unspecified
Severity: normal

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:26 AM
bzimport added a project: GlobalBlocking.
bzimport set Reference to bz58537.
bzimport added a subscriber: Unknown Object (MLST).
Legoktm created this task.Dec 16 2013, 5:27 PM
Krinkle added a subscriber: Krinkle.

Change 210644 had a related patch set uploaded (by Glaisher):
Make SpecialGlobalBlock use FormSpecialPage

https://gerrit.wikimedia.org/r/210644

Change 210644 merged by jenkins-bot:
Clean up and make SpecialGlobalBlock use FormSpecialPage

https://gerrit.wikimedia.org/r/210644

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2016, 6:44 PM
Glaisher closed this task as Resolved.Mar 20 2016, 12:06 PM

Thank you @Legoktm :-)